Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "33d2290b-848c-4e48-922e-f69a80522b42",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "c00cc193-1675-4517-af5a-8b6feb107652",
"company_code": "sample string 5",
"company": {
"id": "7d0f85c6-31ae-4acd-9137-d78c74c61b5e",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-04T15:56:18.1693171+00:00",
"sales_territory_id": "0b252ad8-6003-4e4d-a9d5-55aed633e708",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "997f740e-e1b6-47ec-82db-b508c799aedf",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3350a185-c559-42e1-a335-7a1969cd2240",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "249d183b-91be-4251-879c-f6109970313d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0b6084d6-fc58-4a99-84f1-a128142f2f8f",
"db_currency_id": "59875bee-8cb2-4d33-8af2-c783322b8029",
"db_language_id": "698092c7-8b13-4ad6-b27e-4e84beec5c73",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T15:56:18.1693171+00:00"
},
"modified_dateutc": "2026-11-04T15:56:18.1802177+00:00"
},
"marketing_segment_id": "45cc932e-666a-404f-a5a6-fc9b3251ec83",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "8ea9bf78-6b0b-43f7-b4f5-e648c97eb20e",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "5497b1c1-3208-4117-8855-addd795ba2f8",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "9c88e2e0-936b-4a3a-be36-61d082944e79",
"db_country_code": "sample string 28",
"feelist_id": "e9cc93f5-a49d-4fdd-bf2c-e6ea891748b1",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "51c639b6-63c5-437e-865c-7f4bffaa85ec",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "f8bf79b7-530f-4207-9764-0e5422660606",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-04T15:56:18.1802177+00:00",
"db_currency_id": "e9ee72db-9ad2-49c2-b5d0-cebe7d366dd1",
"db_currency_code": "sample string 10"
},
"company_type_id": "587bd2aa-ebc1-44c6-a36e-4994e2258802",
"company_type_name": "sample string 32",
"company_type": {
"id": "53cfc08c-1ef5-4ea0-9bc2-f89dc36de5e6",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "98c8ccf4-e650-4f82-82c7-75f4e24d0ec0",
"sales_organization_code": "sample string 5"
},
"db_language_id": "af878fa6-9f72-4415-b8af-6fb04f01e9d5",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "40bd1e31-1d5b-45d5-bf20-5f3dc0e94bdc",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "30a1c6b8-65eb-4718-9643-594bbd56723c",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "13317ced-5bf9-494b-a60b-60119e6e0726",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-04T15:56:18.1802177+00:00"
},
"company_sector_id": "24b1e8af-8c56-4b4c-b8e4-ef6818e83c9c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "b84d0c1f-73e1-4dcc-bfa9-33f021a0206f",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "c2d3d6dd-a98e-4dcc-9443-572354a3d748",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "0bc734e2-a522-4081-981a-0eb9b757354a",
"account_manager_user_code": "sample string 56",
"company_status_id": "cfe97af3-1431-4cee-ba63-5925f40a4525",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-04T15:56:18.1984098+00:00",
"id2": 60
},
"db_language_id": "0973d448-8bc3-4ece-94a5-2a0a4136975f",
"db_language_code": "sample string 7",
"db_title_id": "7b54a098-a984-4f16-97b2-a0b540757cd3",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-04T15:56:18.1984098+00:00",
"create_date": "2026-11-04T15:56:18.1984098+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-04T15:56:18.1984098+00:00"
}